## Documentation

Table of Contents
Class Inheritance Tree
Widget Screenshots
Package groups

## Index

Package: Generic_Enumeration_Property (generic)

- Goto spec source

# Description

    generic
          Name : String;
          type Enumeration is (<>);
       package Generic_Enumeration_Property is

# Packages

### Properties

Full description

# Types

### Enumeration

- Goto declaration in source

    type Enumeration is (<>);

### Property_RO

- Goto declaration in source

    type Property_RO is new Properties.Property_RO;

### Property

- Goto declaration in source

    type Property    is new Properties.Property;

# Constants & Global variables

### Name

- Goto declaration in source

(String)

    Name : String;

# Subprograms & Entries

### Get_Type

- Goto spec in source

    function Get_Type return Glib.GType;

Return the internal gtk+ type associated with the Ada enumeration Enumeration. You don't need to use such a function for the types defined in standard in GtkAda. Use Glib.Type_From_Name instead.

### Gnew_Enum

- Goto spec in source

    function Gnew_Enum (Name, Nick, Blurb: String;Default: Enumeration := Enumeration'First;Flags: Param_Flags := Param_Readable or Param_Writable) return Param_Spec;

Create a new param_spec (to describe properties), based on the Ada enumeration type Enumeration. This function is used when creating the property with Install_Property on an object. Name, Nick and Blurb should describe the property, not its type.

### Get_Enum

- Goto spec in source
- Goto body in source

    function Get_Enum (Value: Glib.Values.GValue) return Enumeration;

Return the enumeration contained in Value, assuming it is of type Enumeration

### Set_Enum

- Goto spec in source

    procedure Set_Enum (Value: in out Glib.Values.GValue;Enum: Enumeration);

Set the enumeration value for Value. This properly initializes the type of Value, so you don't need to call Init yourself.